net.corda.node

## Class InteractiveShell

- net.corda.node.InteractiveShell

-     public class InteractiveShell

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InteractiveShell.InputStreamDeserializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InteractiveShell` | `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `runFlowByNameFragment(java.lang.String nameFragment, java.lang.String inputData, org.crsh.text.RenderPrintWriter output)` Called from the 'flow' shell command. Takes a name fragment and finds a matching flow, or prints out the list of options if the request is ambiguous. Then parses inputData as constructor arguments using the runFlowFromString method and starts the requested flow using the `class ANSIProgressRenderer` to draw the progress tracker. Ctrl-C can be used to cancel.
    `FlowStateMachine<?>` | `runFlowFromString(kotlin.jvm.functions.Function1<? super net.corda.core.flows.FlowLogic<?>,? extends net.corda.core.flows.FlowStateMachine<?>> invoke, java.lang.String inputData, java.lang.Class<? extends net.corda.core.flows.FlowLogic<?>> clazz, com.fasterxml.jackson.databind.ObjectMapper om)` Given a `class FlowLogic` class and a string in one-line Yaml form, finds an applicable constructor and starts the flow, returning the created flow logic. Useful for lightweight invocation where text is preferable to statically typed, compiled code.
    `static java.lang.Object` | `runRPCFromString(java.util.List<java.lang.String> input, org.crsh.text.RenderPrintWriter out, org.crsh.command.InvocationContext<? extends java.lang.Object> context)`
    `void` | `startShell(java.nio.file.Path dir, boolean runLocalShell, boolean runSSHServer, Node node)` Starts an interactive shell connected to the local terminal. This shell gives administrator access to the node internals.

- - ### Field Detail

    - #### INSTANCE

          public static InteractiveShell INSTANCE

  - ### Method Detail

    - #### startShell

          public void startShell(java.nio.file.Path dir,
                                 boolean runLocalShell,
                                 boolean runSSHServer,
                                 Node node)

      Starts an interactive shell connected to the local terminal. This shell gives administrator access to the node internals.

    - #### runFlowByNameFragment

          public static void runFlowByNameFragment(java.lang.String nameFragment,
                                                   java.lang.String inputData,
                                                   org.crsh.text.RenderPrintWriter output)

      Called from the 'flow' shell command. Takes a name fragment and finds a matching flow, or prints out the list of options if the request is ambiguous. Then parses inputData as constructor arguments using the runFlowFromString method and starts the requested flow using the `class ANSIProgressRenderer` to draw the progress tracker. Ctrl-C can be used to cancel.

      See Also:
        `class ANSIProgressRenderer`

    - #### runFlowFromString

          public FlowStateMachine<?> runFlowFromString(kotlin.jvm.functions.Function1<? super net.corda.core.flows.FlowLogic<?>,? extends net.corda.core.flows.FlowStateMachine<?>> invoke,
                                                       java.lang.String inputData,
                                                       java.lang.Class<? extends net.corda.core.flows.FlowLogic<?>> clazz,
                                                       com.fasterxml.jackson.databind.ObjectMapper om)

      Given a `class FlowLogic` class and a string in one-line Yaml form, finds an applicable constructor and starts the flow, returning the created flow logic. Useful for lightweight invocation where text is preferable to statically typed, compiled code.

      See the `class StringToMethodCallParser` class to learn more about limitations and acceptable syntax.

      Throws:
        - if no constructor could be found for the given set of types.
      See Also:
        `class FlowLogic`, `class StringToMethodCallParser`

    - #### runRPCFromString

          public static java.lang.Object runRPCFromString(java.util.List<java.lang.String> input,
                                                          org.crsh.text.RenderPrintWriter out,
                                                          org.crsh.command.InvocationContext<? extends java.lang.Object> context)